activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Clebert Suconic <clebert.suco...@gmail.com>
Subject Re: [DISCUSS] Artemis JDK9 support
Date Tue, 09 May 2017 14:38:14 GMT
I can't run maven install with the early access JDK. Something will
need to be changed on the poms?

[INFO] ------------------------------------------------------------------------

[INFO] BUILD FAILURE

[INFO] ------------------------------------------------------------------------

[INFO] Total time: 7.948 s

[INFO] Finished at: 2017-05-09T10:34:41-04:00

[INFO] Final Memory: 40M/132M

[INFO] ------------------------------------------------------------------------

[ERROR] Failed to execute goal
org.apache.maven.plugins:maven-compiler-plugin:3.1:compile
(default-compile) on project artemis-commons: Fatal error compiling:
CompilerException: InvocationTargetException:
java.nio.file.NotDirectoryException:
/var/jenkins/tools/hudson.model.JDK/jdk-9/lib/modules -> [Help 1]



I won't be able to get much further from that.


But we won't be able to use JDK9 unless Netty gets around the Unsafe usage.

On Tue, May 9, 2017 at 10:18 AM, nigro_franz <nigro.fra@gmail.com> wrote:
> I need to try it, but I've not good omen on it due to JigSaw and a partial
> sun.misc.Unsafe removal that could limit the usage of Netty and/or other
> parts of the Artemis code base (eg
> https://github.com/apache/activemq-artemis/blob/master/artemis-commons/src/main/java/org/apache/activemq/artemis/utils/Env.java#L49)
>
>
>
> --
> View this message in context: http://activemq.2283324.n4.nabble.com/DISCUSS-Artemis-JDK9-support-tp4725823p4725825.html
> Sent from the ActiveMQ - Dev mailing list archive at Nabble.com.



-- 
Clebert Suconic

Mime
View raw message